<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\AgSimplesService;

class AgSimplesController extends FMCrud{
    protected $dataSourceName = 'fcm_checklistagend';
    protected $AgSimplesService;
   
    public function __construct($crudService, $environment, AgSimplesService $AgSimplesService) {
        parent::__construct($crudService, $environment);
        $this->AgSimplesService = $AgSimplesService;
    }

    public function getControllerLocal(DTO\Request $request, DTO\Response $response) {
        $var = $this->AgSimplesService->getServiceLocal();
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
    public function getControllerLocalAt(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        $childrens = $this->AgSimplesService->getServiceLocalAt($params["id"]);
        $dtsVal = new DataSet("Locals", $childrens);
        $response->addDataSet($dtsVal);
        return $response;
    }
    
    public function getControllerChildrenLocal(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        $nrlocalclientepai = $params['params']['NRLOCALCLIENTEPAI'];
        $var = $this->AgSimplesService->getServiceChildrenLocal($nrlocalclientepai);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
    public function getControllerAgSimplesPage(DTO\Request $request, DTO\Response $response) {
        
        $params = $request->getParameters();
        $nrlocalcliente = $params['params']['NRLOCALCLIENTE'];
        $var = $this->AgSimplesService->getServiceAgSimplesPage($nrlocalcliente);
        $dtsVal = new DataSet('options', $var);
        $response->addDataSet($dtsVal);
    }
    
}
?>