<?php

namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\DadosRelatorioService;

class DadosRelatorioController extends FMCrud{
    protected $DadosRelatorioService;
   
    public function __construct($crudService, $environment, DadosRelatorioService $DadosRelatorioService) {
        parent::__construct($crudService, $environment);
        $this->DadosRelatorioService = $DadosRelatorioService;
    }

    public function getDataBase(DTO\Request $request, DTO\Response $response){
        $var = $this->DadosRelatorioService->getDataBase();
        $dtsVal = new DataSet("dataBase", $var);
        $response->addDataSet($dtsVal);
    }
    
    public function getData(DTO\Request $request, DTO\Response $response){
        $params = $request->getParameters();
        $var = $this->DadosRelatorioService->getData($params);
        $dtsVal = new DataSet("data", $var);
        $response->addDataSet($dtsVal);
    }
}

?>