<?php
namespace FM\Service;

use FM\Factory\RelatoriosTarefasFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;
use Zeedhi\Framework\DataSource\DataSet;

class RelatoriosTarefasService {

    protected $RelatoriosTarefasFactory;
    protected $Environment;
    protected $newCode;

    public function __construct (RelatoriosTarefasFactory $RelatoriosTarefasFactory, Environment $Environment, NewCode $newCode) {
        $this->RelatoriosTarefasFactory  = $RelatoriosTarefasFactory;
        $this->Environment               = $Environment;
        $this->newCode                   = $newCode;
    }

    public function getFuncionarios() {
        return $this->RelatoriosTarefasFactory->getFuncionarios();
    }

    public function getRelatoriosTarefas() {
        
        $params = array (
                "CDOPERADOR" => $this->Environment->getCdOperador()
            );

        return $this->RelatoriosTarefasFactory->getRelatoriosTarefas($params);
    }

    public function getItensTarefas($parametros) {
        return $this->RelatoriosTarefasFactory->getItensTarefas($parametros['NRCHECKLISTAGEND']);
    }

    public function getFotosTarefas($parametros) {
        return $this->RelatoriosTarefasFactory->getFotosTarefas($parametros['NRCHECKLISTAGEND']);
    }

    public function getFiltroRelatorioTarefa() {
        return $this->RelatoriosTarefasFactory->getFiltroRelatorioTarefa();
    }

    public function getFiltroRelatorioLocal() {
        return $this->RelatoriosTarefasFactory->getFiltroRelatorioLocal();
    }

    public function getFiltroRelatorioChecklist() {
        return $this->RelatoriosTarefasFactory->getFiltroRelatorioChecklist();
    }

    public function getFiltroRelatorioCliente() {
        return $this->RelatoriosTarefasFactory->getFiltroRelatorioCliente();
    }
}